/*
Copyright (C) 2000,2001 Stefan Duffner 

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "TransitionInfo.h"
#include "IOInfo.h"
#include "Const.h"
#include "IOInfoASCII.h"

/// Constructor
TransitionInfo::TransitionInfo()
{
}

/// Destructor
TransitionInfo::~TransitionInfo()
{
}

/// Returns TRUE if this transition info has common input values with @a ti
bool TransitionInfo::intersection(TransitionInfo* ti)
{
  IOInfo* ioinf;
  char buf[MAX_CHARARRAY_LENGTH];
  int length;

  ioinf = ti->getInputInfo();
  if (!ioinf->convertToASCII(buf, MAX_CHARARRAY_LENGTH, length, FALSE))
    return FALSE;

  for(int i=0; i<length; i++)
  {
    IOInfoASCII single(IO_MealyIn, buf[i]);
    if (inputs->matches(&single))
      return TRUE;
  }
  return FALSE;
}


